// SamplePreviewDlg.h
//

#if !defined(AFX_SAMPLEPREVIEWDLG_H__73B56592_A534_4CF3_9940_0B7F56C4B843__INCLUDED_)
#define AFX_SAMPLEPREVIEWDLG_H__73B56592_A534_4CF3_9940_0B7F56C4B843__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSamplePreviewDlg

class CSamplePreviewDlg : public CDialog
{
public:
	CSamplePreviewDlg(CWnd* pParent = NULL);

	//{{AFX_DATA(CSamplePreviewDlg)
	enum { IDD = IDD_SAMPLEPREVIEW_DIALOG };
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CSamplePreviewDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV
	//}}AFX_VIRTUAL

protected:
	HICON m_hIcon;

	//{{AFX_MSG(CSamplePreviewDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnBtnPreview();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	HANDLE m_hCamera;
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_SAMPLEPREVIEWDLG_H__73B56592_A534_4CF3_9940_0B7F56C4B843__INCLUDED_)
